<? $this->headScript()->prependFile(_st('online-billing/add-package-popup.js'), 'text/javascript'); ?>
<? $this->headScript()->prependFile(_st('online-billing/change-city-popup.js'), 'text/javascript'); ?>
<? $this->headScript()->prependFile(_st('online-billing/ad-place-popup.js'), 'text/javascript'); ?>

<? $this->headLink()->appendStylesheet(_st('online-billing/ob.css')) ?>

<script type="text/javascript">
	window.addEvent('domready', function () {		
		Cubix.ShoppingCart.url = '<?= $this->getLink('ajax-shopping-cart') ?>';
		Cubix.ShoppingCart.remove_url = '<?= $this->getLink('ajax-shopping-cart-remove') ?>';
		Cubix.ShoppingCart.item = $$('.shopping-cart-wrapper')[0];
		Cubix.ShoppingCart.init();
		
		
		Cubix.AdPlacePopup.url = '<?= $this->getLink('ajax-show-ad-place') ?>';
		$$('.ad-place').addEvent('click', function(){
			Cubix.AdPlacePopup.Show(300, 560, this);
		});
		
		$$('.buy').addEvent('click', function(e) {
			e.stop();
			var package_id = this.get('href');
			
			Cubix.AddPackagePopup.url = '<?= $this->getLink('ajax-add-package') . '?user_type=' . $this->user_type . '&gender=' . $this->gender ?>&package_id=' + package_id;
			Cubix.AddPackagePopup.Show(300, 560, this);
		});
		
		Cubix.ChangeCityPopup.url = '<?= $this->getLink('ajax-change-city') ?>?shopping_cart_id=';
		Cubix.ChangeCityPopup.one_city_allowed_error = '<?= __('one_city_allowed_error') ?>';
		
		<? if ( $this->render_form ): ?>
			var overlay = new Cubix.Overlay($('page'), {
				loader: _st('loader-small.gif'),
				position: '50%'
			});

			overlay.disable();
			<? if ( $this->use_epg ): ?>
				window.location = "<?= $this->redirect_url; ?>";
			<? else: ?>
				$('payment_form').submit();
			<? endif; ?>
		<? endif; ?>
			
		<? if ( count($this->errors) ): ?>
			var myFx = new Fx.Scroll(window,{
				offset: {
					'x': 0,
					'y': 0
				},
				wait: false, duration: 400/*, transition: Fx.Transitions.Quad.easeInOut*/
			});
			myFx.toBottom();
		<? endif; ?>
	});
</script>

<?	
	$DEFINITIONS = Zend_Registry::get('defines'); 
	$currency = Cubix_Currency::getDefaultCurrency()->title;
?>

<div class="gray-box form" id="online-billing" style="position: relative;">
	
	<div class="vindent2" id="instant_advertisement">
		<span class="legend">
			<span class="i"><?= __('instant_advertisement') ?></span>
		</span>
		<div class="body">
			<? if ( $this->user_type == USER_TYPE_AGENCY ): ?>
			<p><?= __('online_billing_top_text') ?></p>
			<? else: ?>
			<p><?= __('online_billing_top_text_single_escort') ?></p>
			<? endif; ?>
			<a href="<?= $this->getLink('ob-order-history'); ?>" class="order-history-btn"><?= __('click_for_order_history') ?></a>
			<div class="clear"></div>
		</div>
	</div>
	
	<? if( count($this->packages_list) ): ?>
	<div class="package-list">
		
		<table>
			<thead>
				<tr>
					<th><?= __('package_name') ?></th>
					<th><?= __('description') ?></th>
					<th><?= __('position') ?></th>
					<th><?= __('price_duration') ?></th>
					<th><?= __('optional_products') ?></th>
					<th><?= __('buy') ?></th>
				</tr>
			</thead>
			
			<tbody>
				<? foreach( $this->packages_list as $package ): ?>
				<tr>
					<td style="text-align: center;"><img src="<?= _st('online-billing/packages/' . $package['id'] . '.png') ?>" /></td>
					<td>
						<?= __('online_billing_desc_text_' . $package['id']) ?>
					</td>
					<td><img class="ad-place" rel="<?= $package['id'] ?>" src="<?= _st('online-billing/packages/p_' . $package['id'] . '.png') ?>" /></td>
					<td>
						<? if( ! isset( $package['package_prices'] ) ): ?>
							<span><?= $currency ?> <?= $package['price'] ?></span><br/>
							<span><?= $package['period'] ?> <?= __('days') ?></span>
						<? else: ?>
							<? foreach( $package['package_prices'] as $price ): ?>
								<strong><?= $DEFINITIONS['gender_options'][$price['gender']] ?>:</strong><br/>
								<span><?= $currency ?> <?= $price['price'] ?></span><br/>
								<span><?= $package['period'] ?> <?= __('days') ?></span><br/><br/>
							<? endforeach; ?>
						<? endif; ?>
					</td>
					<td>
						<? if ( count($package['optional_products']) ): ?>
							<? foreach( $package['optional_products'] as $optional_product ): ?>
								<?= __('online_billing_optional_product_desc_' . $optional_product['id']) ?>
							<? endforeach; ?>
						<? endif; ?>
					</td>
					<td><a href="<?= $package['id'] ?>" class="buy"></a></td>
				</tr>
				<? endforeach; ?>
			</tbody>
			
		</table>		
	</div>
	<? endif; ?>
	
	<form action="<? $this->getLink('ob-checkout'); ?>" method="post">
	
		<div class="shopping-cart-wrapper">
			<?= $this->render('online-billing/ajax-get-shopping-cart.phtml') ?>
		</div>
		<? /*
		<div class="vindent2" id="shopping-cart" style="width: 300px; float: right;">
			<div class="body">
				<table>
					<thead>
						<tr>
							<th><?= __('choose_payment_method') ?></th>
						</tr>
					</thead>
					<tbody>						
						<tr>
							<td><input <?= ( $this->payment_method == 'visa' ) ? 'checked="checked"' : '' ?> style="vertical-align: middle" type="radio" name="payment_method" value="visa" id="visa" /><label style="vertical-align: middle; float: none;padding: 0px;" for="visa"><strong> Credit Card VISA</strong></label></td>
						</tr>
						<tr>
							<td><input <?= ( $this->payment_method == 'master' ) ? 'checked="checked"' : '' ?> style="vertical-align: middle" type="radio" name="payment_method" value="master" id="master" /><label style="vertical-align: middle; float: none; padding: 0px;" for="master"><strong> Credit Card MASTERCARD</strong></label></td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
		
		<div class="clear"></div>
		*/ ?>
		<? if(count($this->errors)): ?>
			<? foreach( $this->errors as $error ): ?>
				<p class="err"><?= __("$error"); ?></p>
			<? endforeach; ?>
		<? endif; ?>
		
		
		<div class="chechkout-btn">
			<input type="image" id="" src="<?= _st('online-billing/checkout_' . $this->lang() . '.png') ?>" value="" />
		</div>
	</form>
	
	<? if ( $this->render_form ): ?>
		<?= $this->render('online-billing/payment-form.phtml') ?>
	<? endif; ?>
	
</div>